Name:           axiom
Version:        1.2.12
Release:        5%{?dist}
Epoch:          0
Summary:        Axis Object Model
License:        ASL 2.0
Url:            http://ws.apache.org/commons/axiom/
Group:          Development/Libraries
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/axiom/1.2.12/ axiom-1.2.12
# tar caf axiom-1.2.12.tar.xz axiom-1.2.12
Source0:        %{name}-%{version}.tar.xz
# This patch makes several build changes:
# 1) Remove deps on a JAF implementation -- this is built into openjdk 7
# 2) Use the javamail and stax implementations already in Fedora
# 3) Remove maven plugins not present in Fedora, which do not impact the build process
# 4) Remove modules which require additional dependencies not yet in Fedora
Patch0:         axiom-build-fixes.patch
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  maven-local
BuildRequires:  apache-rat-plugin
BuildRequires:  bea-stax-api
BuildRequires:  javamail
BuildRequires:  apache-commons-logging
BuildRequires:  jaxen
BuildRequires:  jdepend
BuildRequires:  woodstox-core
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xmlunit
Requires:       bea-stax-api
Requires:       xml-commons-jaxp-1.3-apis
Requires:       javamail >= 0:1.4
Requires:       apache-commons-logging
Requires:       jaxen
Requires:       woodstox-core
Requires:       xerces-j2
Requires:       jpackage-utils
BuildArch:      noarch

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML info-set model that was initially developed for
Apache Axis2.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q
%patch0 -p1
rm -rf modules/axiom-jaxen-testsuite/src/main/

# fix eol
%{__perl} -pi -e 's/\r$//g' README.txt NOTICE.txt RELEASE-NOTE.txt

%build
# Skipping tests for now due to many extra deps
mvn-rpmbuild -Dmaven.test.skip install

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/axiom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -m 644 target/%{name}*.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar
install -pm 644 modules/%{name}-parent/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

for mod in axiom-api axiom-dom axiom-impl axiom-c14n; do
    install -m 644 modules/${mod}/target/${mod}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/${mod}.jar
    install -pm 644 modules/${mod}/pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-${mod}.pom
    %add_maven_depmap JPP.%{name}-${mod}.pom %{name}/${mod}.jar
done

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -rp target/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc *.txt
%{_javadir}/axiom/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0:1.2.12-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar  7 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-2
- add jpackage-utils requirement
- remove non-ASL source files prior to building

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-1
- Initial build.
